---
- hosts: app2
  become: yes
  tasks:

    - name: Remove default nginx config
      ansible.builtin.file:
        path: /etc/nginx/sites-enabled/default
        state: absent

    - name: Copy file app2.conf
      copy:
        src: ../tf/app2.conf
        dest: /etc/nginx/conf.d/
        owner: root
        group: root
        mode: '0644'

    - name: restart service nginx
      systemd:
        name: nginx
        state: restarted
        enabled: yes

